package com.diagbot.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 质控评分明细信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y
 * </p>
 *
 * @author zhanghang
 * @since 2021-03-26
 */
public class MedQcresultDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 模块id
     */
    private Long casesId;

    /**
     * 模块总分
     */
    private BigDecimal casesScore;

    /**
     * 条目ID
     */
    private Long casesEntryId;

    /**
     * 人工修改分值
     */
    private BigDecimal score;

    /**
     * 提示信息
     */
    private String msg;

    /**
     * 质控返回提示信息
     */
    private String info;

    /**
     * 单项否决（1-单项否决 0-非）
     */
    private Integer isReject;

    /**
     * 初始类型(1：机器，2：人工)
     */
    private Integer gradeType;

    /**
     * 操作类型(1：新增，2：删除，3：修改)
     */
    private Integer optType;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public Long getCasesId() {
        return casesId;
    }

    public void setCasesId(Long casesId) {
        this.casesId = casesId;
    }
    public BigDecimal getCasesScore() {
        return casesScore;
    }

    public void setCasesScore(BigDecimal casesScore) {
        this.casesScore = casesScore;
    }
    public Long getCasesEntryId() {
        return casesEntryId;
    }

    public void setCasesEntryId(Long casesEntryId) {
        this.casesEntryId = casesEntryId;
    }
    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }
    public Integer getIsReject() {
        return isReject;
    }

    public void setIsReject(Integer isReject) {
        this.isReject = isReject;
    }
    public Integer getGradeType() {
        return gradeType;
    }

    public void setGradeType(Integer gradeType) {
        this.gradeType = gradeType;
    }
    public Integer getOptType() {
        return optType;
    }

    public void setOptType(Integer optType) {
        this.optType = optType;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MedQcresultDetail{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", casesId=" + casesId +
            ", casesScore=" + casesScore +
            ", casesEntryId=" + casesEntryId +
            ", score=" + score +
            ", msg=" + msg +
            ", info=" + info +
            ", isReject=" + isReject +
            ", gradeType=" + gradeType +
            ", optType=" + optType +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", remark=" + remark +
        "}";
    }
}
